<?php 
/* SVN FILE: $Id$ */
/* CharacterSheet Test cases generated on: 2010-04-02 16:35:18 : 1270193718*/
App::import('Model', 'CharacterSheet');

class CharacterSheetTestCase extends CakeTestCase {
	var $CharacterSheet = null;
	var $fixtures = array('app.character_sheet', 'app.system');

	function startTest() {
		$this->CharacterSheet =& ClassRegistry::init('CharacterSheet');
	}

	function testCharacterSheetInstance() {
		$this->assertTrue(is_a($this->CharacterSheet, 'CharacterSheet'));
	}

	function testCharacterSheetFind() {
		$this->CharacterSheet->recursive = -1;
		$results = $this->CharacterSheet->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('CharacterSheet' => array(
			'id'  => 1,
			'system_id'  => 1,
			'name'  => 'Lorem ipsum dolor sit amet',
			'sort_order'  => 1
		));
		$this->assertEqual($results, $expected);
	}
}
?>